Buildroot: %{_builddir}/%{name}-root
Name:		unicore-hila-shell
Version:        2.2
Release:	SNAPSHOT_1%{?dist}
Summary:	UNICORE 6 HiLA Grid Shell
Group:		Applications/System
License:	BSD
URL:		http://www.unicore.eu/
Requires:       java-1_6_0-sun
BuildArch:      noarch
Source0:        ${project.build.directory}/${project.artifactId}-${project.version}-application.zip
Source1:        ${project.build.directory}/deb/hila_debian/hila-shell
Packager:       Bjoern Hagemeier <unicore-support@lists.sourceforge.net>

%define _rpmdir ../
%define _rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm
%define _unpackaged_files_terminate_build 0

%description
The HiLA Grid API is an abstract API for accessing Grid resources.
This is an implementation for the UNICORE 6 Grid middleware.

This package contains the HiLA Shell, an interactive shell to acess
Grid resources.

%prep

%setup -T -c unicore-hila-shell

%install
unzip ${project.build.directory}/${project.artifactId}-${project.version}-application.zip
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/unicore-hila %{buildroot}%{_bindir} %{buildroot}/%{_sysconfdir}/unicore-hila

cp ${project.build.directory}/deb/hila_debian/hila-shell %{buildroot}%{_bindir}/hila-shell
chmod a+x %{buildroot}%{_bindir}/hila-shell
cp lib/* %{buildroot}/%{_datadir}/unicore-hila
chmod a-x conf/*
cp conf/* %{buildroot}/%{_sysconfdir}/unicore-hila
cp log4j.properties %{buildroot}/%{_sysconfdir}/unicore-hila

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_datadir}/unicore-hila
%{_datadir}/unicore-hila/*
%{_bindir}/hila-shell
%config %{_sysconfdir}/unicore-hila/*
%dir %{_sysconfdir}/unicore-hila
%doc

