Name:		unicore-hila-u6
Version:	2.2
Release:	SNAPSHOT_1%{?dist}
Summary:	UNICORE 6 implementation of HiLA Grid API
Group:		Applications/System
License:	BSD
BuildArch:      noarch
URL:		http://www.unicore.eu/
Source0:	${project.build.directory}/${project.artifactId}-${project.version}-plugin.jar
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       java-1_6_0-sun

%define _rpmdir ../
%define _rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm
%define _unpackaged_files_terminate_build 0

%description
The HiLA Grid API is an abstract API for accessing Grid resources.
This is an implementation for the UNICORE 6 Grid middleware.

%prep

%setup -T -c unicore-hila-u6-2.2

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/unicore-hila
cp ${project.build.directory}/${project.artifactId}-${project.version}-plugin.jar %{buildroot}/usr/share/unicore-hila

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/share/unicore-hila/*
/usr/share/unicore-hila
%doc

%changelog
